## ros-indigo-rosserial-client 0.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosserial_client)

find_package(catkin REQUIRED)
catkin_package(
  CFG_EXTRAS rosserial_client-extras.cmake
)

catkin_python_setup()

install(DIRECTORY src/ros_lib
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/src
)
install(PROGRAMS scripts/make_libraries
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  include_directories(src)
  catkin_add_gtest(float64_test test/float64_test.cpp)
endif()

=== debian/changelog ===
ros-indigo-rosserial-client (0.6.4-0trusty) trusty; urgency=high

  * Provide option to pass through CMake arguments.
  * Make make_library.py error more verbose.
  * createQuaternionFromYaw made static, fixes "multiple definition" error
  * Fix initializer for fixed-length arrays.
  * Generate constructors for messages.
  * Switch to stdint integers; this allows the client to run on 64-bit systems.
  * Contributors: Mickaël, Mike Purvis, chuck-h

 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 06 Jul 2015 04:00:00 -0000

ros-indigo-rosserial-client (0.6.3-0trusty) trusty; urgency=high

  * Move avr serialization logic to Msg class, add gtest to exercise it.
  * Fixed the deserialization of avr64bit in order to support negative numbers.
  * Contributors: Martin Gerdzhev, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 05 Nov 2014 05:00:00 -0000

ros-indigo-rosserial-client (0.6.2-0trusty) trusty; urgency=high

  * Generic CMake helpers for ros_lib generation and in-package firmwares.
  * Fix output of make_library when package has only messages
  * Added time out to the state machine
  * Contributors: Jason Scatena, Michael Ferguson, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-indigo-rosserial-client (0.6.1-0trusty) trusty; urgency=high

  * Remove ID_TX_STOP define
  * Fix ID_TX_STOP in the client lib.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 30 Jun 2014 04:00:00 -0000

ros-indigo-rosserial-client (0.6.0-0trusty) trusty; urgency=high

  * Remove include of ros.h from time.cpp
  * No xx_val pointers for fixed-length arrays of messages.
  * Use const char* instead of char* for strings in messages.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-indigo-rosserial-client (0.5.6-0trusty) trusty; urgency=high

  * Add Mike Purvis as maintainer
  * make tf topic absolute instead of relative to prevent remapping with <group> tag
  * fix: msg id serialization
  * fix: wrong message lenght, if message size more than 255
  * fix odometry deserialization error http://answers.ros.org/question/73807/rosserial-deserialization-error/
  * add better debugging information when packages are missing dependencies
  * remove ID_TX_STOP from rosserial_msgs/msg/TopicInfo.msg, using hardcode modification.
  * fix the dupilcated registration problem of subscriber
  * Contributors: Michael Ferguson, Mike Purvis, Moju Zhao, agentx3r, denis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-indigo-rosserial-client (0.5.5-0trusty) trusty; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 14 Jan 2014 05:00:00 -0000

ros-indigo-rosserial-client (0.5.4-0trusty) trusty; urgency=high

  * fix an uninitialized data bug on arduino

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 17 Oct 2013 04:00:00 -0000

ros-indigo-rosserial-client (0.5.3-0trusty) trusty; urgency=high

  * Added some missing return values
  * Fixed uninitialized arrays that would cause random segfaults on spinOnce
  and advertise. Fixed other ininitialized variables.
  * fixed misalignment for 32 bit architectures

 -- Paul Bouchier <paul.bouchier@gmail.com>  Sat, 21 Sep 2013 04:00:00 -0000

ros-indigo-rosserial-client (0.5.2-0trusty) trusty; urgency=high

  * Fix release version

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 17 Jul 2013 04:00:00 -0000

ros-indigo-rosserial-client (0.5.1-0trusty) trusty; urgency=high

  * Modified the return value of publish()
  * Modified the frame structure for serial communication, particularly add the checksum for msg_len
    * Associated protocol version ID in message and version mismatch handling

 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 15 Jul 2013 04:00:00 -0000

ros-indigo-rosserial-client (0.4.5-0trusty) trusty; urgency=high

  * fail gently when messages/packages are corrupt. update print statements while at it
  * Fixed a bug in ros_lib install logic which took an exception because it copied files to themselves
    Added execute permission to make_libraries.py in rosserial_embeddedlinux
    Moved examples under src in rosserial_embeddedlinux

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 02 Jul 2013 04:00:00 -0000

ros-indigo-rosserial-client (0.4.4-0trusty) trusty; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 20 Mar 2013 04:00:00 -0000

ros-indigo-rosserial-client (0.4.3-0trusty) trusty; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 13 Mar 2013 18:08:00 -0000

ros-indigo-rosserial-client (0.4.2-0trusty) trusty; urgency=high

  * fix build issues when in isolation by moving more stuff into make_library

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 13 Mar 2013 05:15:00 -0000

ros-indigo-rosserial-client (0.4.1-0trusty) trusty; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Sat, 09 Mar 2013 05:00:00 -0000

ros-indigo-rosserial-client (0.4.0-0trusty) trusty; urgency=high

  * initial catkin version on github
  * Temporary patch for #30 <https://github.com/ros-drivers/rosserial/issues/30>
  * Added missing math.h include.
  * Changed DEBUG log level to ROSDEBUG.

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 08 Mar 2013 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-rosserial-client
Section: misc
Priority: extra
Maintainer: Paul Bouchier <paul.bouchier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/rosserial_client
Standards-Version: 3.9.2

Package: ros-indigo-rosserial-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rospy, ros-indigo-rosserial-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: Generalized client side source for rosserial.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rosserial-client//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
